package processModel;

import java.awt.Graphics2D;
import java.awt.Point;
import java.util.List;
import java.util.Observer;

/**
 * @author Kon Zakharov, k.zakharov@cosc.canterbury.ac.nz
 *
 */
public interface Element
{
	public List<Property> getProperties();
	public List<Property> getCalculatedProperties();
	public List<Property> getUnknownProperties();
	
	public int getID();
	public void setID(int id);
	
    public String toAspireXML();
	
}